Qualify a Specific Finance Offer
1 min
GET
https://api.upstartcommerce.com/v1/finance-offers/{offerId}/qualified
offerIdstring<uuid>The offer id used for lookups.
currencystring<p>The <a href="https://en.wikipedia.org/wiki/ISO_4217" target="_blank">3-character ISO code</a>. Must be one of the supported currencies (currently only USD is supported).</p>
card-numberstringThe card number of the credit card to be qualified.
purchase-amountnumber<float><p>The finance-request amount.</p>
timezoneIdstring<p>Timezone id (tz database). If not specified - tenant's default timezone is used.</p>
productIdsarray<p>Optional list of catalog product ids present in the cart. When supplied and the offer has
product associations, the offer is returned only if at least one of the supplied productIds
matches an association. When the offer has no product associations it is always returned
(general offer). When omitted or empty, no product filtering is applied (legacy behaviour).</p>
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
200<p>Success-qualified finance offer returned.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
404The requested resource was not found in the NoChannel system.
curl --request GET \
--url 'https://api.upstartcommerce.com/v1/finance-offers/{offerId}/qualified?currency=USD&card-number=432984343222&purchase-amount=1499.99' \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string'